# EngineRenew Struct Reference

Memory pool for engine renew elements. More...

`#include <autoreplace_base.h>`

Inheritance diagram for EngineRenew:

## Public Member Functions
| EngineRenew (EngineID from=INVALID_ENGINE, EngineID to=INVALID_ENGINE)
bool | IsValid () const
## Data Fields
EngineID | from
EngineID | to
EngineRenew * | next
GroupID | group_id

## Detailed Description

Memory pool for engine renew elements.

DO NOT USE outside of engine.c. Is placed here so the only exception to this rule, the saveload code, can use it. Struct to store engine replacements. DO NOT USE outside of engine.c. Is placed here so the only exception to this rule, the saveload code, can use it.

Definition at line 25 of file autoreplace_base.h.

The documentation for this struct was generated from the following file:

- src/autoreplace_base.h